Bug 368591 (CVE-2007-5935) - CVE-2007-5935 dvips -z buffer overflow with long href
Summary: CVE-2007-5935 dvips -z buffer overflow with long href
Status: CLOSED ERRATA
Alias: CVE-2007-5935
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard: source=debian,reported=20071106,publi...
Keywords: Reopened, Security
Depends On: 379831 379841 379851 379861 577309 577322 577323
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-06 17:45 UTC by Red Hat Product Security
Modified: 2010-05-07 08:12 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-05-07 08:12:39 UTC


Attachments (Terms of Use)
Fix for dvips -z long href title stack overflow from Debian (2.68 KB, text/x-patch)
2007-11-06 17:45 UTC, Lubomir Kundrak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0399 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 18:53:52 UTC
Red Hat Product Errata RHSA-2010:0401 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 19:10:40 UTC

Description Lubomir Kundrak 2007-11-06 17:45:26 UTC
Description of problem:

DVI file that contains a hypertex reference with long title can trigger a stack
based buffer overflow of a statically sized char array when dvips is called with
-z argument. This could possibly result in arbitrary code execution in case user
was tricked into open a specially crafted DVI file.

Additional info:

This issue affects the versions of the tetex package, as shipped
with Red Hat Enterprise Linux 3 and 4.

This issue has no security impact on tetex package version, as shipped
in Red Hat Enterprise Linux 5 due to _FORTIFY_SOURCE protection that
terminates the process before the memory corruption occurs.

This issue has no security impact on texlive package versions,
as shipped with Fedora releases of 11 and 12, due to _FORTIFY_SOURCE
protection that terminates the process before the memory corruption occurs.

See URL field for the orginal bug report from Debian project.

Comment 1 Lubomir Kundrak 2007-11-06 17:45:26 UTC
Created attachment 249461 [details]
Fix for dvips -z long href title stack overflow from Debian

Comment 2 Lubomir Kundrak 2007-11-06 18:08:13 UTC
The CVE identifier for this issue was requested.

Comment 3 Lubomir Kundrak 2007-11-13 13:22:16 UTC
Pinged Mitre about the need for CVE.

Comment 4 Jindrich Novy 2007-11-13 14:35:20 UTC
Fixed in rawhide. F8, F7, FC-6 pending.

Comment 5 Fedora Update System 2007-11-15 03:32:26 UTC
tetex-3.0-44.2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex'

Comment 6 Fedora Update System 2007-11-15 03:46:22 UTC
tetex-3.0-40.3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex'

Comment 7 Fedora Update System 2007-11-20 18:00:49 UTC
tetex-3.0-40.3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2007-11-20 18:04:57 UTC
tetex-3.0-44.3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Lubomir Kundrak 2007-12-05 19:28:23 UTC
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.

Comment 11 Red Hat Bugzilla 2009-10-23 19:04:37 UTC
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Comment 12 Jan Lieskovsky 2010-03-26 11:15:37 UTC
Public reproducer from Debian bug tracking system:
  [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=447081

\documentclass{article}

\usepackage[hypertex]{hyperref}

\begin{document}

\href{/XXXX/XXXXXXX/XXX/XXXXX/XXXXXXXXXXXXXXX/XXXXXXX/XXXXXXXXXXXXXXXXX/XXXXXXXXXX 
XXXXXXXXXXXXXXXXXXX/XXXXXXXXXX XXXXX XXXXXXXXXXXXX - 
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX}{solot}

\end{document}

Comment 17 errata-xmlrpc 2010-05-06 18:54:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0399 https://rhn.redhat.com/errata/RHSA-2010-0399.html

Comment 18 errata-xmlrpc 2010-05-06 19:10:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2010:0401 https://rhn.redhat.com/errata/RHSA-2010-0401.html


Note You need to log in before you can comment on or make changes to this bug.